Subject: [Dime] Question of TCP and SCTP simultaneoous support in Diameter

From: Preeti Shandilya <[email-masked]>
Date: Fri, 15 Sep 2006 14:24:06 +0530

Hi !

I have question regarding the compliance of s product with RFC 3588.

If a diameter stack product complying to RFC 3588 does not support TCP and SCTP simultaneously, will that be considered as noncompliance.

At some place RFC speaks that TCP and SCTP support is mandatory but at some place it indicates that support of TCP and SCTP support simultaneously is optional

Early reply is appreciated.

Regards

Preeti

***************** FSS-Unclassified *************

"DISCLAIMER: This message is proprietary to Flextronics Software

Systems Limited (FSS) and is intended solely for the use of the

individual to whom it is addressed. It may contain privileged or

confidential information and should not be circulated or used for

any purpose other than for what it is intended. If you have received

this message in error, please notify the originator immediately.

If you are not the intended recipient, you are notified that you are

strictly prohibited from using, copying, altering, or disclosing

the contents of this message. FSS accepts no responsibility for

loss or damage arising from the use of the information transmitted

by this email including damage from virus."

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: <[email-masked]>
Date: Mon, 18 Sep 2006 05:18:02 +0300

Preeti,
 
First, the IETF doesn't rate compliance. Are you asking if 3588 requires
concurrent useage of TCP & SCTP, or something else.
 
Section 2.1 states:
 
   Diameter clients MUST support either TCP or SCTP, while agents and
   servers MUST support both.  Future versions of this specification MAY
   mandate that clients support SCTP.
So, if you are concerned about complience, it would be safe to support
both TCP and SCTP.
 
John

________________________________

	From: ext Preeti Shandilya
[mailto:[email-masked]] 
	Sent: 15 September, 2006 11:54
	To: [email-masked]
	Subject: [Dime] Question of TCP and SCTP simultaneoous support
in Diameter

	Hi !
	
	I have question regarding the compliance of s product with RFC
3588.
	
	If a diameter stack product complying to RFC 3588 does not
support TCP and SCTP simultaneously, will that be considered as
noncompliance.
	At some place RFC speaks that TCP and SCTP support is mandatory
but at some place it indicates that support of TCP and SCTP support
simultaneously is optional

	Regards
	Preeti

	confidential information and should not be circulated or used
for 
	any purpose other than for what it is intended. If you have
received 
	this message in error, please notify the originator immediately.

	If you are not the intended recipient, you are notified that you
are
	strictly prohibited from using, copying, altering, or disclosing
	the contents of this message. FSS accepts no responsibility for
	loss or damage arising from the use of the information
transmitted
	by this email including damage from virus."